# Generated by Django 3.1.1 on 2020-12-19 13:53

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import easy_thumbnails.fields
import lostplaces.models.place


class Migration(migrations.Migration):

    dependencies = [
        ('lostplaces', '0003_voucher'),
    ]

    operations = [
        migrations.AlterField(
            model_name='photoalbum',
            name='label',
            field=models.CharField(max_length=100, verbose_name='link text'),
        ),
        migrations.AlterField(
            model_name='photoalbum',
            name='submitted_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='photoalbums', to='lostplaces.explorer', verbose_name='Submitter'),
        ),
        migrations.AlterField(
            model_name='photoalbum',
            name='submitted_when',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Submission date'),
        ),
        migrations.AlterField(
            model_name='photoalbum',
            name='url',
            field=models.URLField(verbose_name='URL'),
        ),
        migrations.AlterField(
            model_name='place',
            name='description',
            field=models.TextField(help_text="Description of the place: e.g. how to get there, where to be careful, the place's history...", verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='place',
            name='latitude',
            field=models.FloatField(help_text='Latitude in decimal format: e. g. 41.40338', validators=[django.core.validators.MinValueValidator(-90), django.core.validators.MaxValueValidator(90)], verbose_name='Latitude'),
        ),
        migrations.AlterField(
            model_name='place',
            name='location',
            field=models.CharField(max_length=50, verbose_name='Location'),
        ),
        migrations.AlterField(
            model_name='place',
            name='longitude',
            field=models.FloatField(help_text='Longitude in decimal format: e. g. 2.17403', validators=[django.core.validators.MinValueValidator(-180), django.core.validators.MaxValueValidator(180)], verbose_name='Longitude'),
        ),
        migrations.AlterField(
            model_name='place',
            name='name',
            field=models.CharField(max_length=50, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='place',
            name='submitted_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='places', to='lostplaces.explorer', verbose_name='Submitter'),
        ),
        migrations.AlterField(
            model_name='place',
            name='submitted_when',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Submission date'),
        ),
        migrations.AlterField(
            model_name='placeimage',
            name='description',
            field=models.TextField(blank=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='placeimage',
            name='filename',
            field=easy_thumbnails.fields.ThumbnailerImageField(help_text='Optional: One or more images to upload', upload_to=lostplaces.models.place.generate_image_upload_path, verbose_name='Filename(s)'),
        ),
        migrations.AlterField(
            model_name='placeimage',
            name='submitted_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='placeimages', to='lostplaces.explorer', verbose_name='Submitter'),
        ),
        migrations.AlterField(
            model_name='placeimage',
            name='submitted_when',
            field=models.DateTimeField(auto_now_add=True, null=True, verbose_name='Submission date'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='created_when',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Creation date'),
        ),
        migrations.AlterField(
            model_name='voucher',
            name='expires_when',
            field=models.DateTimeField(verbose_name='Expiration date'),
        ),
    ]
