# Generated by Django 3.2.10 on 2021-12-31 17:20

from django.db import migrations, models
import django.db.models.deletion
import easy_thumbnails.fields
import lostplaces.models.models
import lostplaces.models.place


class Migration(migrations.Migration):

    dependencies = [
        ('lostplaces', '0004_release_0_1_3'),
    ]

    operations = [
        migrations.AddField(
            model_name='explorer',
            name='bio',
            field=models.TextField(blank=True, help_text='Describe yourself, your preferences, etc. in a few sentences.', null=True, verbose_name='Biography / Description'),
        ),
        migrations.AddField(
            model_name='explorer',
            name='favorite_places',
            field=models.ManyToManyField(blank=True, related_name='explorer_favorites', to='lostplaces.Place', verbose_name='Explorers favorite places'),
        ),
        migrations.AddField(
            model_name='explorer',
            name='level',
            field=models.IntegerField(choices=[(1, 'Newbie'), (2, 'Scout'), (3, 'Explorer'), (4, 'Journalist'), (5, 'Housekeeper')], default=1),
        ),
        migrations.AddField(
            model_name='explorer',
            name='profile_image',
            field=easy_thumbnails.fields.ThumbnailerImageField(blank=True, help_text='Optional profile image for display in Explorer profile', null=True, upload_to=lostplaces.models.generate_profile_image_filename, verbose_name='Profile image'),
        ),
        migrations.AddField(
            model_name='explorer',
            name='visited_places',
            field=models.ManyToManyField(blank=True, related_name='explorer_visits', to='lostplaces.Place', verbose_name='Explorers visited places'),
        ),
        migrations.AddField(
            model_name='place',
            name='hero',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='place_heros', to='lostplaces.placeimage'),
        ),
        migrations.AddField(
            model_name='place',
            name='level',
            field=models.IntegerField(choices=[(1, 'Ruin'), (2, 'Vandalized'), (3, 'Natures Treasure'), (4, 'Lost in History'), (5, 'Time Capsule')], default=5),
        ),
        migrations.AlterField(
            model_name='placeimage',
            name='filename',
            field=easy_thumbnails.fields.ThumbnailerImageField(help_text='Optional: One or more images to upload', upload_to=lostplaces.models.place.generate_place_image_filename, verbose_name='Images'),
        ),
        migrations.CreateModel(
            name='PlaceVoting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('submitted_when', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Submission date')),
                ('created_when', models.DateTimeField(auto_now_add=True, verbose_name='Creation date')),
                ('expires_when', models.DateTimeField(verbose_name='Expiration date')),
                ('vote', models.IntegerField(choices=[(1, 'Ruin'), (2, 'Vandalized'), (3, 'Natures Treasure'), (4, 'Lost in History'), (5, 'Time Capsule')])),
                ('place', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='placevotings', to='lostplaces.place')),
                ('submitted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='placevotings', to='lostplaces.explorer', verbose_name='Submitter')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DummyAsset',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('submitted_when', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Submission date')),
                ('name', models.CharField(max_length=50)),
                ('place', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dummyassets', to='lostplaces.place')),
                ('submitted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dummyassets', to='lostplaces.explorer', verbose_name='Submitter')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
