#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

with open('Readme.md') as f:
    readme = f.read()

# Keep PEP 440 for version identification in mind
# https://www.python.org/dev/peps/pep-0440/#post-releases
setup(
    name='django-lostplaces',
    version='0.1.4.post2',
    description='A django app to manage lost places',
    author='Reverend, Commander1024',
    author_email='reverend@reverend2048.de, commander@commander1024.de',
    url='https://git.commander1024.de/Commander1024/lostplaces-backend',
    packages=find_packages(exclude=['django_lostplaces']),
	long_description=readme,
	long_description_content_type='text/markdown',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.7',
		'Framework :: Django'
    ],
    install_requires=[
        'django',
        'easy_thumbnails',
        'image',
        'django-widget-tweaks',
        'django-taggit'
    ],
    include_package_data=True,
    license='MIT'
)